Subject: Re: bug#37954: 27.0.50; No Tramp completion if completion-styles doesn't include basic, emacs22, or emacs21

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 20 May 2022 13:00:18 +0200

Tassilo Horn <[email-masked]> writes:

> With
>
>   emacs -Q --eval "(setq completion-styles '(partial-completion
>   substring initials flex) completion-category-overrides nil)"
>
> Tramp file name completion does not work.  E.g., C-x C-f /ssh:<tab> will
> not suggest usernames and hostnames.  Currently, it is mandatory to have
> one of the completion styles basic, emacs22, or emacs21 enabled.
>
> Stefan Monnier explained why that's currently the way it is and possible
> solutions to the problem in
>
> https://lists.gnu.org/archive/html/help-gnu-emacs/2019-10/msg00148.html
>
> For the time being, I'd suggest to adapt the completion styles
> documentation so that it explititly mentions keeping a basic style
> (basic, emacs22, or emacs21) in completion-styles.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Adding that to the doc string of `completion-styles' sounds OK to me,
but perhaps Michael has some comments about why/whether this is
necessary; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no